Eclipse Draw2d 3.7

## org.eclipse.draw2d
Interface GraphicsSource

All Known Implementing Classes:
  NativeGraphicsSource

    public interface GraphicsSource

Provides a `Graphics` object for painting.

Method Summary
`void` `flushGraphics(Rectangle region)` Tells the GraphicsSource that you have finished using that region.
`Graphics` `getGraphics(Rectangle region)` Returns a Graphics for the rectangular region requested.

Method Detail

### getGraphics

    Graphics getGraphics(Rectangle region)

  Returns a Graphics for the rectangular region requested. May return `null`.

  Parameters:
    `region` - The rectangular region
  Returns:
    A new Graphics object for the given region

### flushGraphics

    void flushGraphics(Rectangle region)

  Tells the GraphicsSource that you have finished using that region.

  Parameters:
    `region` - The rectangular region that that no longer needs the Graphics

Eclipse Draw2d 3.7

Copyright (c) IBM Corp. and others 2000, 2011. All Rights Reserved.